var e = require("../../../../@babel/runtime/helpers/objectSpread2"), r = require("../wedux/index").mapToData;


/** 原本下面这一段会造成严重的分析瓶颈
 *  经过人工分析，发现有些代码是完全没有意义的
 *  比如对o的赋值，其实并没有做什么有意义的操作
 *  进行了一系列空对象的属性复制操作，单纯地增加了许多不必要的边
 *  因此这里直接对其代码替换，换成语义相同但是容易分析的代码
 *  大大降低了分析成本
 * */
// module.exports = function(n) {
//     var o = r(function(e) {
//         return {
//             userInfo: e.user.userInfo
//         };
//     })(n);  // 性能瓶颈
//     return Page(e(e({}, o), {}, {
//         onShow: function() {
//             o.onShow && o.onShow.call(this);
//         }
//     }));
// };

module.exports = function(n) {
    var o = n;  // 原来是性能瓶颈
    return Page(e(e({}, o), {}, {
        onShow: function() {
            o.onShow && o.onShow.call(this);
        }
    }));
};
